Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class ValidatorScriptBase

    java.lang.Object
      org.ajax4jsf.javascript.ScriptStringBase
          org.ajax4jsf.javascript.JSFunctionDefinition
              org.richfaces.renderkit.html.ValidatorScriptBase

All Implemented Interfaces:
  org.ajax4jsf.javascript.FunctionDefWithDependencies, org.ajax4jsf.javascript.ScriptString, org.ajax4jsf.javascript.ScriptWithDependencies, ComponentValidatorScript, org.richfaces.resource.ResourceLibrary

Direct Known Subclasses:
  AjaxOnlyScript, ClientOnlyScript

    public abstract class ValidatorScriptBase

extends org.ajax4jsf.javascript.JSFunctionDefinition
implements ComponentValidatorScript

Field Summary
`static String` | `AJAX`
`static org.ajax4jsf.javascript.JSReference` | `AJAX_REF`
`static String` | `CLIENT_ID`
`static org.ajax4jsf.javascript.JSReference` | `CLIENT_ID_REF`
`static String` | `CONVERTER`
`static org.ajax4jsf.javascript.JSReference` | `CONVERTER_REF`
`static String` | `CSV_NAMESPACE`
`static String` | `DISABLE_AJAX`
`static org.ajax4jsf.javascript.JSReference` | `DISABLE_AJAX_REF`
`static String` | `ELEMENT`
`static org.ajax4jsf.javascript.JSReference` | `ELEMENT_REF`
`static String` | `EOL`
`static String` | `EVENT`
`static org.ajax4jsf.javascript.JSReference` | `EVENT_REF`
`static org.ajax4jsf.javascript.JSFunction` | `GET_VALUE_FUNCTION`
`static String` | `MESSAGE`
`static org.ajax4jsf.javascript.JSReference` | `MESSAGE_REF`
`static NullConverterScript` | `NULL_CONVERTER_SCRIPT`
`static String` | `PARAMS`
`static org.ajax4jsf.javascript.JSReference` | `PARAMS_REF`
`static String` | `SOURCE_ID`
`static org.ajax4jsf.javascript.JSReference` | `SOURCE_ID_REF`
`static org.ajax4jsf.javascript.JSFunction` | `VALIDATE_FUNCTION`
`static String` | `VALIDATE_FUNCTION_NAME`
`static String` | `VALIDATORS`
`static org.ajax4jsf.javascript.JSReference` | `VALIDATORS_REF`
`static String` | `VALUE_FUNCTION_NAME`

Fields inherited from class org.ajax4jsf.javascript.ScriptStringBase
`COLON, COMMA, DOT, EMPTY_STRING, EQUALS, FUNCTION, LEFT_CURLY_BRACKET, LEFT_ROUND_BRACKET, LEFT_SQUARE_BRACKET, RIGHT_CURLY_BRACKET, RIGHT_ROUND_BRACKET, RIGHT_SQUARE_BRACKET`

Constructor Summary
`ValidatorScriptBase()`

Method Summary
`protected void` | `appendAjaxFunction(Appendable target, String ajaxScript)`
`protected void` | `appendAjaxParameter(Appendable target, String ajaxScript)`
`protected void` | `appendBody(Appendable target)`
`protected void` | `appendParameters(Appendable target)`
`protected void` | `appendValidatorCall(Appendable target)`
`String` | `createCallScript(String clientId, String sourceId)` Creates JavasCript that calls validator function.

Methods inherited from class org.ajax4jsf.javascript.JSFunctionDefinition
`addParameter, addToBody, appendFunctionName, appendScript, getName, setName`

Methods inherited from class org.ajax4jsf.javascript.ScriptStringBase
`appendScriptToStringBuilder, toScript, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.ajax4jsf.javascript.FunctionDefWithDependencies
`getName`

Methods inherited from interface org.richfaces.resource.ResourceLibrary
`getResources`

Methods inherited from interface org.ajax4jsf.javascript.ScriptString
`appendScript, appendScriptToStringBuilder, toScript`

Field Detail

### ELEMENT

    public static final String ELEMENT

See Also:
  Constant Field Values

### ELEMENT_REF

    public static final org.ajax4jsf.javascript.JSReference ELEMENT_REF

### EVENT

    public static final String EVENT

See Also:
  Constant Field Values

### EVENT_REF

    public static final org.ajax4jsf.javascript.JSReference EVENT_REF

### DISABLE_AJAX

    public static final String DISABLE_AJAX

See Also:
  Constant Field Values

### DISABLE_AJAX_REF

    public static final org.ajax4jsf.javascript.JSReference DISABLE_AJAX_REF

### EOL

    public static final String EOL

See Also:
  Constant Field Values

### CLIENT_ID

    public static final String CLIENT_ID

See Also:
  Constant Field Values

### CLIENT_ID_REF

    public static final org.ajax4jsf.javascript.JSReference CLIENT_ID_REF

### SOURCE_ID

    public static final String SOURCE_ID

See Also:
  Constant Field Values

### SOURCE_ID_REF

    public static final org.ajax4jsf.javascript.JSReference SOURCE_ID_REF

### CONVERTER

    public static final String CONVERTER

See Also:
  Constant Field Values

### CONVERTER_REF

    public static final org.ajax4jsf.javascript.JSReference CONVERTER_REF

### VALIDATORS

    public static final String VALIDATORS

See Also:
  Constant Field Values

### VALIDATORS_REF

    public static final org.ajax4jsf.javascript.JSReference VALIDATORS_REF

### AJAX

    public static final String AJAX

See Also:
  Constant Field Values

### AJAX_REF

    public static final org.ajax4jsf.javascript.JSReference AJAX_REF

### PARAMS

    public static final String PARAMS

See Also:
  Constant Field Values

### PARAMS_REF

    public static final org.ajax4jsf.javascript.JSReference PARAMS_REF

### MESSAGE

    public static final String MESSAGE

See Also:
  Constant Field Values

### MESSAGE_REF

    public static final org.ajax4jsf.javascript.JSReference MESSAGE_REF

### NULL_CONVERTER_SCRIPT

    public static final NullConverterScript NULL_CONVERTER_SCRIPT

### CSV_NAMESPACE

    public static final String CSV_NAMESPACE

See Also:
  Constant Field Values

### VALUE_FUNCTION_NAME

    public static final String VALUE_FUNCTION_NAME

See Also:
  Constant Field Values

### GET_VALUE_FUNCTION

    public static final org.ajax4jsf.javascript.JSFunction GET_VALUE_FUNCTION

### VALIDATE_FUNCTION_NAME

    public static final String VALIDATE_FUNCTION_NAME

See Also:
  Constant Field Values

### VALIDATE_FUNCTION

    public static final org.ajax4jsf.javascript.JSFunction VALIDATE_FUNCTION

Constructor Detail

### ValidatorScriptBase

    public ValidatorScriptBase()

Method Detail

### createCallScript

    public String createCallScript(String clientId,
                                   String sourceId)

  Description copied from interface: `ComponentValidatorScript`

  Creates JavasCript that calls validator function.

  Specified by:
    `createCallScript` in interface `ComponentValidatorScript`
  Returns:

### appendParameters

    protected void appendParameters(Appendable target)
                             throws IOException

  Throws:
    `IOException`

### appendBody

    protected void appendBody(Appendable target)
                       throws IOException

  Overrides:
    `appendBody` in class `org.ajax4jsf.javascript.JSFunctionDefinition`
  Throws:
    `IOException`

### appendValidatorCall

    protected void appendValidatorCall(Appendable target)
                                throws IOException

  Throws:
    `IOException`

### appendAjaxParameter

    protected void appendAjaxParameter(Appendable target,
                                       String ajaxScript)
                                throws IOException

  Throws:
    `IOException`

### appendAjaxFunction

    protected void appendAjaxFunction(Appendable target,
                                      String ajaxScript)
                               throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.